#include <iostream>
#include <thread>
#include <vector>

using namespace std;

void incrementCounter(int *pCounter) {
    for (int i = 0; i < 10000000; i++) {
        (*pCounter)++;
    }
}

int main() {
    int counter = 0;

    vector<thread> workers;
    for (int workerIndex = 0; workerIndex < 4; workerIndex++) {
        workers.push_back(thread(incrementCounter, &counter));
    }

    for (auto &worker : workers) {
        worker.join();
    }

    cout << "Value of the counter variable: " << counter << endl;

    return 0;
}
