#include <iostream>
#include <thread>

using namespace std;

void fn1(int x) {
    cout << "in fn1: " << x << endl;
}

void fn2(int &x) {
    cout << "in fn2: " << x << endl;
    x = 100;    // Change value of xMain.
}

class MyClass {
public:
    void fn3(int x) {
        cout << "in fn3: " << x << endl;
    }
};

int main() {
    thread thread1(fn1, 10);    // Pass argument by value
    thread1.join();

    int xMain = 20;
    thread thread2(fn2, ref(xMain));    // Pass argument by reference.
    thread2.join();
    cout << "xMain after thread2 ends: " << xMain << endl;

    MyClass myClass;
    thread thread3(&MyClass::fn3, &myClass, 123);    // Class method as thread.
    thread3.join();

    return 0;
}